<template>
    <b-container>
        <h1>FantaCitorio</h1>
        <div class="container-tabs">
            <b-tabs content-class="mt-3" align="center">
                <b-tab title="Classifica" @click="clickedTab('cumulativa')">
                    <div v-if="showRanking">
                        <RankingComponent></RankingComponent>
                        <h3>Assegna punti ad un politico</h3>
                        <div class="form-input">
                            <b-form-input id="name" class="input-margin" v-model="name_new_politic" placeholder="Nome"></b-form-input>
                            <b-form-input id="surname" class="input-margin" v-model="surname_new_politic" placeholder="Cognome"></b-form-input>
                            <b-form-input id="points" type="number" class="input-margin" v-model="points_new_politic" placeholder="Punti"></b-form-input>
                        </div>
                        <b-button variant="outline-primary" class="my-2 my-sm-0 btn-outline" @click="changeRanking()">Conferma</b-button>
                    </div>
                </b-tab>
                <b-tab title="Ultima Settimana" @click="clickedTab('ultima settimana')">
                    <LastWeekComponent v-if="showLastWeek"></LastWeekComponent>
                </b-tab>
                <b-tab title="Squadre Registrate" @click="clickedTab('squadre')">
                    <TeamsComponent v-if="showTeams"></TeamsComponent>
                </b-tab>
            </b-tabs>
        </div>
    </b-container>
</template>

<script>

export default {
    name: "FantacitorioView",
    components: {
        RankingComponent: () => import ("../components/fantacitorio/RankingComponent.vue"),
        LastWeekComponent: () => import ("../components/fantacitorio/LastWeekComponent.vue"),
        TeamsComponent: () => import ("../components/fantacitorio/TeamsComponent.vue")
    },
    data () {
        return {
            showRanking: false,
            showLastWeek: false,
            showTeams: false,
            name_new_politic: '',
            surname_new_politic: '',
            points_new_politic: '',
        }
    },
    methods: {
        clickedTab(type) {
            if (type == 'cumulativa') { this.showRanking = true }
            else if (type == 'ultima settimana') { this.showLastWeek = true }
            else if (type == 'squadre') { this.showTeams = true }
        },
        changeRanking() {
            if (isNaN(this.points_new_politic)) {
                console.log("Non hai assegnato un punteggio valido!")
                return null
            }
            let values = [this.name_new_politic, this.surname_new_politic, this.points_new_politic]
            this.$root.$emit("getChangesByUser", (values))
        }
    },
    mounted(){
        this.clickedTab('cumulativa');
    }
}
</script>

<style scoped>
.container {
    margin: 2rem auto;
}
.container-tabs {
    margin: 2rem auto;
}
.input-margin {
    margin-top: 1rem;
}
.image{
    width: 400px;
    height: 400px;
}
h3 {
    margin-bottom: 1rem;
}
.form-input {
    margin: 1rem auto;
    display: flex;
    padding: 0px 15px;
}
.form-input input {
    margin-right: 1rem;
}
.form-input #points {
    width: 20%;
}
</style>
